Bug 722920 - Improve documentation of all objects accessible in CLI
Improve documentation of all objects accessible in CLI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-07-18 09:29 EDT by Ondřej Žižka
Modified: 2013-09-01 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-07-18 09:29:58 EDT
Especially Managers are quite undocumented.

There are some examples in http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html-single/CLI_Guide/index.html

But complete reference is missing.

For example, an information that ResourceManager.findResourcesByCriteria(criteria)
does not  return anything if the resource type is not specified must be found by user by triage/error method.
Comment 1 Ondřej Žižka 2011-07-18 10:32:25 EDT
There's also javadocs for the API, but mostly lacks any info beyond method signatures.

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/API_Guides/remote-api/index.html
Comment 2 Mike Foley 2011-12-02 14:22:53 EST
also ... the proxy object has methods that are in addition to the remote interfaces of the SLSBs that are not contained in the javadoc.  example see bz https://bugzilla.redhat.com/show_bug.cgi?id=759173 which has examples of methods on the proxy object that are not in the javadoc.
Comment 3 Deon Ballard 2012-06-28 16:24:09 EDT
This is a tall order, but I have new chapters to the CLI doc that cover what the CLI is, what the different APIs are (at a very high level), and tasks that can be performed, with examples:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/index.html

Hopefully, this works to make the CLI and JON scripts more understandable.
Comment 4 Heiko W. Rupp 2013-09-01 15:19:05 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.